## woff2 1.0.2

=== Makefile ===
OS := $(shell uname)

CPPFLAGS = -I./brotli/c/include/ -I./src -I./include

AR ?= ar
CC ?= gcc
CXX ?= g++

# It's helpful to be able to turn these off for fuzzing
CANONICAL_PREFIXES ?= -no-canonical-prefixes
NOISY_LOGGING ?= -DFONT_COMPRESSION_BIN
COMMON_FLAGS = -fno-omit-frame-pointer $(CANONICAL_PREFIXES) $(NOISY_LOGGING) -D __STDC_FORMAT_MACROS

ARFLAGS = crf

ifeq ($(OS), Darwin)
  CPPFLAGS += -DOS_MACOSX
  ARFLAGS = cr
else
  COMMON_FLAGS += -fno-tree-vrp
endif


CFLAGS += $(COMMON_FLAGS)
CXXFLAGS += $(COMMON_FLAGS) -std=c++11

SRCDIR = src

OUROBJ = font.o glyph.o normalize.o table_tags.o transform.o \
         woff2_dec.o woff2_enc.o woff2_common.o woff2_out.o \
         variable_length.o

BROTLI = brotli
BROTLIOBJ = $(BROTLI)/bin/obj/c
ENCOBJ = $(BROTLIOBJ)/enc/*.o
DECOBJ = $(BROTLIOBJ)/dec/*.o
COMMONOBJ = $(BROTLIOBJ)/common/*.o

OBJS = $(patsubst %, $(SRCDIR)/%, $(OUROBJ))
EXECUTABLES=woff2_compress woff2_decompress woff2_info
EXE_OBJS=$(patsubst %, $(SRCDIR)/%.o, $(EXECUTABLES))
ARCHIVES=convert_woff2ttf_fuzzer convert_woff2ttf_fuzzer_new_entry
ARCHIVE_OBJS=$(patsubst %, $(SRCDIR)/%.o, $(ARCHIVES))

ifeq (,$(wildcard $(BROTLI)/*))
  $(error Brotli dependency not found : you must initialize the Git submodule)
endif

all : $(OBJS) $(EXECUTABLES) $(ARCHIVES)

$(ARCHIVES) : $(ARCHIVE_OBJS) $(OBJS) deps
	$(AR) $(ARFLAGS) $(SRCDIR)/$@.a $(OBJS) \
	      $(COMMONOBJ) $(ENCOBJ) $(DECOBJ) $(SRCDIR)/$@.o

$(EXECUTABLES) : $(EXE_OBJS) deps
	$(CXX) $(LFLAGS) $(OBJS) $(COMMONOBJ) $(ENCOBJ) $(DECOBJ) $(SRCDIR)/$@.o -o $@

deps :
	$(MAKE) -C $(BROTLI) lib

clean :
	rm -f $(OBJS) $(EXE_OBJS) $(EXECUTABLES)
	$(MAKE) -C $(BROTLI) clean

=== debian/changelog ===
woff2 (1.0.2-3) unstable; urgency=medium

  * Team upload
  * Fix `uint8_t` undefined with GCC 15 (Closes: #1098111)
  * Override min cmake version (Closes: #1113631)
  * Disable noisy logging (Closes: #1114734)

 -- Bastian Germann <bage@debian.org>  Sat, 18 Oct 2025 01:07:23 +0200

woff2 (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * debian/: Apply wrap-and-sort -abst
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Migrate Vcs-* to Salsa GitLab.
  * debian/control: Bump debhelper compat to v13.
  * debian/copyright: use secure URI.
  * debian/watch: Fix monitoring grammar.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jun 2022 13:38:34 -0400

woff2 (1.0.2-1) unstable; urgency=low

  * Initial release. Closes: #883828.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Dec 2017 10:03:34 -0500

=== debian/control ===
Source: woff2
Section: libs
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libbrotli-dev,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://github.com/google/woff2
Vcs-Git: https://salsa.debian.org/fonts-team/woff2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/woff2

Package: libwoff-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbrotli-dev,
 libwoff1 (= ${binary:Version}),
 ${misc:Depends},
Description: library for converting fonts to WOFF 2.0 - development files
 woff2 is a library for converting fonts from the TTF format to the WOFF 2.0
 format. The library also allows decompression from WOFF 2.0 to TTF.
 .
 The WOFF 2.0 format uses the Brotli compression algorithm to compress fonts
 suitable for use in CSS @font-face rules. WOFF 2.0 is a W3C Candidate
 Recommendation.
 .
 This package contains the development files.

Package: libwoff1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for converting fonts to WOFF 2.0
 woff2 is a library for converting fonts from the TTF format to the WOFF 2.0
 format. The library also allows decompression from WOFF 2.0 to TTF.
 .
 The WOFF 2.0 format uses the Brotli compression algorithm to compress fonts
 suitable for use in CSS @font-face rules. WOFF 2.0 is a W3C Candidate
 Recommendation.

Package: woff2
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for converting fonts to WOFF 2.0
 woff2 is a library for converting fonts from the TTF format to the WOFF 2.0
 format. The library also allows decompression from WOFF 2.0 to TTF.
 .
 The WOFF 2.0 format uses the Brotli compression algorithm to compress fonts
 suitable for use in CSS @font-face rules. WOFF 2.0 is a W3C Candidate
 Recommendation.
 .
 This package contains the woff2_compress, woff2_decompress, and woff2_info
 utilities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

VERSION_MINOR = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | \
			cut -d. -f1,2).0

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5 -DNOISY_LOGGING=OFF

override_dh_makeshlibs:
	dh_makeshlibs -V'libwoff1 (>= $(VERSION_MINOR))' -- -c4

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/google/woff2/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## woff2 1.0.2-1

=== debian/changelog ===
woff2 (1.0.2-1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:21:40 +0800
